Subject: [bug#45158] [PATCH] gnu: Add python-3.9.

From: Tanguy LE CARROUR <[email-masked]>
Date: Thu, 10 Dec 2020 12:09:51 +0100

Hi Guix,

I think I should explain a bit more why I did what I did…

I'm not using `python-3-fix-tests.patch` anymore because it could
not be applied to 3.9's sources.
I didn't want to modify it because the other versions of Python
are still using it.
I made a copy named `python-3.9-fix-tests.patch` and merged
`python-3.8-fix-tests.patch` in it.

Then I added some new diff (adding some `skip` to `test_signal.py`,
`test_archive_util.py`, `test_shutil.py`, `test_unicodedata.py`,
`test_find.py`) to this patch file to make 3.9 build.

I think that's it!

Regards

-- 
Tanguy